Bug 444225 - Review Request: simcoupe - SAM Coupe emulator (spectrum compatible)
Summary: Review Request: simcoupe - SAM Coupe emulator (spectrum compatible)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 444223 444224
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-25 20:36 UTC by Hans de Goede
Modified: 2008-04-28 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 16:57:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2008-04-25 20:36:40 UTC
Spec URL: http://people.atrpms.net/~hdegoede/simcoupe.spec
SRPM URL: http://people.atrpms.net/~hdegoede/simcoupe-1.0-4.fc9.src.rpm
Description:
SimCoupe emulates an 8bit Z80 based home computer, released in 1989 by Miles
Gordon Technology. The SAM Coupe was largely spectrum compatible, with much
improved hardware

Note this package Requires SAASound and samcoupe-rom, both of which are still under review, see bug 444223 and bug 444224.

Comment 1 Dan Horák 2008-04-26 08:45:49 UTC
OK	source files match upstream:
	    16b0a06e47d344ea75d64f350d3f9f0bee2d2b7e  SimCoupe-1.0.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file correctly installed

this package is APPROVED

Comment 2 Hans de Goede 2008-04-26 09:02:54 UTC
New Package CVS Request
=======================
Package Name:      simcoupe
Short Description: SAM Coupé emulator (spectrum compatible)
Owners:            jwrdegoede
Branches:          F-8 F-9
InitialCC:
Cvsextras Commits: Yes


Comment 3 Kevin Fenzi 2008-04-26 16:46:36 UTC
cvs done.

Comment 4 Hans de Goede 2008-04-28 16:57:07 UTC
Imported and build, closing.



Note You need to log in before you can comment on or make changes to this bug.